    /*
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program. If not, see https://www.gnu.org/licenses/.
    */

const buomfCircle = document.createElement('div');
buomfCircle.classList.add('buomf--circle');

const buomfCircleInner = document.createElement('div');
buomfCircleInner.classList.add('buomf--circle--inner');

document.body.appendChild(buomfCircle);
document.body.appendChild(buomfCircleInner);

let mouseX = 0;
let mouseY = 0;
let buomfCircleX = 0;
let buomfCircleY = 0;
let buomfCircleInnerX = 0;
let buomfCircleInnerY = 0;

document.addEventListener('mousemove', (event) => {
  mouseX = event.pageX;
  mouseY = event.pageY;
});

setInterval(() => {
  buomfCircleX += (mouseX - buomfCircleX) / 15;
  buomfCircleY += (mouseY - buomfCircleY) / 15;
  buomfCircleInnerX += (mouseX - buomfCircleInnerX) / 2;
  buomfCircleInnerY += (mouseY - buomfCircleInnerY) / 2;

  buomfCircle.style.left = buomfCircleX + 'px';
  buomfCircle.style.top = buomfCircleY + 'px';
  buomfCircleInner.style.left = buomfCircleInnerX + 'px';
  buomfCircleInner.style.top = buomfCircleInnerY + 'px';
}, 10);

const form = document.getElementById('form');
const sizeRange = document.getElementById('size-range');
const radiusRange = document.getElementById('radius-range');
const borderRange = document.getElementById('border-range');
const opacityRange = document.getElementById('opacity-range');
const colorToggle = document.getElementById('color-toggle');
const sizeRange2 = document.getElementById('size-range2');
const radiusRange2 = document.getElementById('radius-range2');
const borderRange2 = document.getElementById('border-range2');
const opacityRange2 = document.getElementById('opacity-range2');
const colorToggle2 = document.getElementById('color-toggle2');

form.addEventListener('input', (event) => {
  const target = event.target;

  //Círculo interior
  
  if (target === sizeRange) {
    buomfCircleInner.style.width = target.value + 'px';
    buomfCircleInner.style.height = target.value + 'px';
  } else if (target === radiusRange) {
    buomfCircleInner.style.borderRadius = target.value + '%';
  } else if (target === borderRange) {
    buomfCircleInner.style.borderWidth = target.value + 'px';
  } else if (target === opacityRange) {
    buomfCircleInner.style.opacity = target.value;
  } else if (target === colorToggle) {
    if (target.checked) {
      buomfCircleInner.style.backgroundColor = 'white';
    } else {
      buomfCircleInner.style.backgroundColor = 'transparent';
    }
  }
  
  //Círculo exterior
  
    if (target === sizeRange2) {
    buomfCircle.style.width = target.value + 'px';
    buomfCircle.style.height = target.value + 'px';
  } else if (target === radiusRange2) {
    buomfCircle.style.borderRadius = target.value + '%';
  } else if (target === borderRange2) {
    buomfCircle.style.borderWidth = target.value + 'px';
  } else if (target === colorToggle2) {
    if (target.checked) {
      buomfCircle.style.backgroundColor = 'white';
    } else {
      buomfCircle.style.backgroundColor = 'transparent';
    }
  }
});



